stand-in-order
==============

[![NPM version](https://badge.fury.io/js/stand-in-order.svg)](http://badge.fury.io/js/stand-in-order)

#### Description

* Sort an array by a single variable type
* Sort an array by an object value
* Sort an array by multiple object values


#### Using

* Installation

```npm install stand-in-order```

* Function Explained

The ```sorter``` takes two arguments.  First argument is the array to sort and second is an array of options.

```
    {
        // true || false - default is true
        ascending: Boolean, 
        
        // 'string' || 'integer' || 'float' || 'boolean' || 'date' - required
        type: String,       
        
        // property name to sort by
        name: String       
    }
```

* Basic Example

```
    var sorter = require('stand-by-order');
    sorter(
        ['a', 'b', 'aa', 'bc'],
        [
            {type: 'string', ascending: true, name: null}
        ]
    );
```

* Complex Example

```
    var sorter = require('stand-in-order');
    var list = [
        {
            foo: 1,
            bar: 'z'
        },
        {
            foo: 2,
            bar: 'a'
        },
        {
            foo: 1,
            bar: 'g'
        },
        {
            foo: 1,
            bar: 'c'
        }
    ];
    sorter(list, [
        {name: 'foo', type: 'integer', ascending: true},
        {name: 'bar', type: 'string', ascending: false}
    ]);
```
